## gate.gui
Class SerialDatastoreViewer.DSEntry

    java.lang.Object
      |
      +--gate.gui.SerialDatastoreViewer.DSEntry

Enclosing class:
  SerialDatastoreViewer

class SerialDatastoreViewer.DSEntry
extends Object

Field Summary
`(package private) String` `id`
`(package private) String` `name`
`(package private) JPopupMenu` `popup`
`(package private) String` `type`

Constructor Summary
`(package private)` `SerialDatastoreViewer.DSEntry(String name, String id, String type)`

Method Summary
`JPopupMenu` `getPopup()`
`String` `toString()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### name

    String name

### type

    String type

### id

    String id

### popup

    JPopupMenu popup

Constructor Detail

### SerialDatastoreViewer.DSEntry

    SerialDatastoreViewer.DSEntry(String name,
                                  String id,
                                  String type)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getPopup

    public JPopupMenu getPopup()